Page MenuHomePhabricator

Delete notifications that are disabled in preferences and maybe uninstalled/non-existent ones.
Closed, DeclinedPublic

Description

We need to be able to figure out the number of unread notifications in total, including ones a user disabled or were uninstalled.

It's not necessary automatically delete all non-reachable notifications (that's a little risky in case of misconfiguration); it would just consider them when determining the unread count (part of T124687).

They are already ultimately deleted if necessary to keep under the count; it's just that you don't know where to start deleting without an accurate unread count.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2016, 3:07 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 12 2016, 3:08 AM

Change 274690 had a related patch set uploaded (by Matthias Mullie):
Don't delete unread messages before all read messages have been deleted

https://gerrit.wikimedia.org/r/274690

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:47 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 2 2018, 5:26 AM
kostajh closed this task as Declined.Nov 1 2018, 3:15 PM
kostajh added a subscriber: kostajh.

We discussed this in triage and we're going to mark this as Declined for now as we're concerned about the fallout from this and T124687.

Change 274690 abandoned by Sbisson:
Don't delete unread messages before all read messages have been deleted

https://gerrit.wikimedia.org/r/274690